## php3-dbase 3.0.5-1

=== dbase/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Copyright (c) 1991, 1992, 1993, 1994 Brad Eacker,
#              (Music, Intuition, Software, and Computers)
# All Rights Reserved

srcdir=.

prefix=/usr/local
exec_prefix=${prefix}
BIN=${exec_prefix}/bin
LIB=${exec_prefix}/lib

CC=gcc
CFLAGS=-I. -I. -g -O2 -O2
RANLIB=ranlib

TARGETS = dbflst tmpl dbfadd dbfdel dbfpack dbfget dbfndx dbfcreat \
	  dbfcr dbfscan dbftst
THINGS = tmpl.dbf

DBF_SRCS=dbf.h dbf_head.c dbf_rec.c dbf_misc.c dbftst.c dbflst.c \
	dbf_sym.h yyerr.c tmpl.c dbfadd.c \
	dbfdel.c dbfpack.c dbfget.c dbf_ndx.h dbf_ndx.c dbfndx.c \
	dbfcreat.c dbfcr.sh dbfscan.sh

DBF_LIB=libdbf.a
DBF_LIB_SO=libdbf.so.1.6
DBF_OBJS=dbf_head.o dbf_rec.o dbf_misc.o dbf_ndx.o
DBF_OBJS_PIC=dbf_head.o.pic dbf_rec.o.pic dbf_misc.o.pic dbf_ndx.o.pic

all: $(DBF_LIB) $(TARGETS) $(THINGS)

so: $(DBF_LIB_SO)

dbf_head.o.pic: dbf.h dbf_head.c
	$(CC) -c -o dbf_head.o.pic -fPIC $(CFLAGS) dbf_head.c

dbf_rec.o.pic: dbf.h dbf_rec.c
	$(CC) -c -o dbf_rec.o.pic -fPIC $(CFLAGS) dbf_rec.c

dbf_misc.o.pic: dbf.h dbf_misc.c
	$(CC) -c -o dbf_misc.o.pic -fPIC $(CFLAGS) dbf_misc.c

dbf_ndx.o.pic: dbf.h dbf_ndx.h dbf_ndx.c
	$(CC) -c -o dbf_ndx.o.pic -fPIC $(CFLAGS) dbf_ndx.c


$(DBF_LIB): $(DBF_OBJS)
	rm -f $(DBF_LIB)
	ar crv $(DBF_LIB) $(DBF_OBJS)
	$(RANLIB) $(DBF_LIB)

$(DBF_LIB_SO): $(DBF_OBJS_PIC)
	rm -rf $(DBF_LIB_SO)
	ld -shared -soname $(DBF_LIB_SO) -o $(DBF_LIB_SO) $(DBF_OBJS_PIC) -lc
	ln -sf libdbf.so.1.6 libdbf.so

extras: tmpl.dbf

install: all
	cp $(TARGETS) $(BIN)
	if [ ! -d $(LIB)/dbase ] ; then mkdir $(LIB)/dbase ; fi
	cp $(DBF_LIB) $(LIB)
	cp $(THINGS) $(LIB)/dbase

dbftst: dbftst.o $(DBF_LIB)
	$(CC) -o $@ dbftst.o -L. -ldbf

dbflst: dbflst.o $(DBF_LIB)
	$(CC) -o $@ dbflst.o -L. -ldbf

tmpl.dbf: tmpl
	LD_LIBRARY_PATH=. ./tmpl

tmpl: tmpl.o $(DBF_LIB)
	$(CC) -o $@ tmpl.o -L. -ldbf

dbfadd: dbfadd.o $(DBF_LIB)
	$(CC) -o $@ dbfadd.o -L. -ldbf

dbfdel: dbfdel.o $(DBF_LIB)
	$(CC) -o $@ dbfdel.o -L. -ldbf

dbfpack: dbfpack.o $(DBF_LIB)
	$(CC) -o $@ dbfpack.o -L. -ldbf

dbfget: dbfget.o $(DBF_LIB)
	$(CC) -o $@ dbfget.o -L. -ldbf

dbfcreat: dbfcreat.o $(DBF_LIB)
	$(CC) -o $@ dbfcreat.o -L. -ldbf

dbfndx: dbfndx.o $(DBF_LIB)
	$(CC) -o $@ dbfndx.o -L. -ldbf

dbfcr: dbfcr.sh
	sed "s;LIB_DEF;$(LIB);" dbfcr.sh >dbfcr
	chmod +x dbfcr

dbfscan: dbfscan.sh
	sed "s;LIB_DEF;$(LIB);" dbfscan.sh >dbfscan
	chmod +x dbfscan

shar:
	shar README $(DBF_SRCS) Makefile HISTORY >dbf.shar

clean:
	rm -f *.o *.a libdbf.* *.pic
	rm -f errs output *~ tg.out rw_*.list core

clobber: clean
	rm -f $(TEST_TARGS) $(TARGETS) $(THINGS)

dbf_head.o: dbf.h dbf_head.c
dbf_rec.o: dbf.h dbf_rec.c
dbf_misc.o: dbf.h dbf_misc.c
dbf_ndx.o: dbf.h dbf_ndx.h dbf_ndx.c
dbinter.o: dbinter.c
dbflst.o: dbf.h dbflst.c
dbftst.o: dbf.h dbftst.c
dbfadd.o: dbf.h dbfadd.c
dbfdel.o: dbf.h dbfdel.c
dbfpack.o: dbf.h dbfpack.c
dbfget.o: dbf.h dbfget.c
dbfndx.o: dbf.h dbf_ndx.h dbfndx.c
tmpl.o: dbf.h tmpl.c

=== debian/changelog ===
php3-dbase (1:3.0.5-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  7 Oct 1998 23:58:02 +0200

php3-dbase (1:3.0.4-1) unstable; urgency=low

  * New upstream version
  * Split libdbf1.6-dev package

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 30 Sep 1998 23:31:52 +0200

php3-dbase (1:3.0.3-1) unstable; urgency=low

  * New upstream version
  * Split php3-cgi-dbase into separate package
  * Build libdbf.so and split it into a separate package

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 21 Aug 1998 22:26:26 +0200

php3-dbase (1:3.0-1) unstable; urgency=low

  * Initial release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 10 Jun 1998 02:59:17 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "gorgo@caesar.elte.hu"
End:

=== debian/control ===
Source: php3-dbase
Section: non-free/web
Priority: optional
Maintainer: Gergely Madarasz <gorgo@caesar.elte.hu>
Standards-Version: 2.3.0.1

Package: php3-dbase
Architecture: any
Depends: ${php3:Depends}, ${shlibs:Depends}
Provides: php3-database
Recommends: dbf
Description: dbase module for PHP3 (apache)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module (apache version) for using xbase files.

Package: php3-cgi-dbase
Architecture: any
Depends: ${php3-cgi:Depends}, ${shlibs:Depends}
Provides: php3-cgi-database
Recommends: dbf
Description: dbase module for PHP3 (cgi)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 .
 This package provides a PHP3 module (cgi version) for using xbase files.

Package: libdbf1.6
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends}
Description: xbase manipulation shared library 
 This package contains the libdbf shared libraries.

Package: libdbf1.6-dev
Architecture: any
Section: non-free/libs
Depends: ${libdbf:Depends}
Description: xbase manipulation static library and headers
 This package contains the libdbf static libraries and header files.

Package: dbf
Architecture: any
Section: non-free/misc
Depends: ${shlibs:Depends}
Description: xbase manipulation package
 This package contains a set of tools to manipulate xbase files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

php3ver=$(shell head -1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g' | cut -d- -f1)
dbfver=1.6-4

build: build-stamp

dbase-stamp:
	dh_testdir
	cd dbase && make so all
	touch dbase-stamp

apache-stamp: dbase-stamp
	dh_testdir
	# Add here commands to compile the package.
	test -d apache || mkdir apache
	$(CC) -shared -fPIC -DCOMPILE_DL=1 -I. -I/usr/include/php3 -I/usr/include/php3/apache -I/usr/include/apache-1.3 -o apache/dbase.so dbase.c -Ldbase -ldbf -lc
	touch apache-stamp

cgi-stamp: dbase-stamp
	dh_testdir
	# Add here commands to compile the package.
	test -d cgi || mkdir cgi
	$(CC) -shared -fPIC -DCOMPILE_DL=1 -I. -I/usr/include/php3 -I/usr/include/php3/cgi -o cgi/dbase.so dbase.c -Ldbase -ldbf -lc
	touch cgi-stamp

build-stamp: dbase-stamp apache-stamp cgi-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp dbase-stamp apache-stamp cgi-stamp
	# Add here commands to clean up after the build process.
	rm -rf apache cgi
	-cd dbase && make clean
	-cd dbase && rm -f dbfadd dbfcr dbfcreat dbfdel dbfget dbflst dbfndx dbfpack dbfscan dbftst tmpl tmpl.dbf
	dh_clean

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir -a
	dh_testroot  -a
	dh_clean -k -a
	dh_installdirs -a
	cp apache/dbase.so debian/tmp/usr/lib/php3/apache
	cp cgi/dbase.so debian/php3-cgi-dbase/usr/lib/php3/cgi
	cd dbase && make prefix=`pwd`/../debian/dbf/usr install 
	cp -a dbase/libdbf.so.1.6 debian/libdbf1.6/usr/lib
	mv debian/dbf/usr/lib/lib* debian/libdbf1.6-dev/usr/lib
	cp dbase/*.h debian/libdbf1.6-dev/usr/include/dbf
	ln -s libdbf.so.1.6 debian/libdbf1.6-dev/usr/lib/libdbf.so
	dh_installdocs -pphp3-dbase
	dh_installdocs -pphp3-cgi-dbase
	dh_installdocs -plibdbf1.6
	dh_installdocs -plibdbf1.6-dev
	dh_installdocs -pdbf dbase/README dbase/HISTORY
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	LD_LIBRARY_PATH=`pwd`/dbase dh_shlibdeps -a
	echo "php3:Depends=php3 (>= $(php3ver)), php3 (<< $(php3ver).1)" >>debian/substvars
	echo "php3-cgi:Depends=php3-cgi (>= $(php3ver)), php3-cgi (<< $(php3ver).1)" >>debian/php3-cgi-dbase.substvars
	echo "libdbf:Depends=libdbf1.6 (= $(dbfver))" >>debian/libdbf1.6-dev.substvars
	dh_gencontrol -pphp3-dbase
	dh_gencontrol -pphp3-cgi-dbase
	dh_gencontrol -plibdbf1.6 -u-v$(dbfver)
	dh_gencontrol -plibdbf1.6-dev -u-v$(dbfver)
	dh_gencontrol -pdbf -u-v$(dbfver)
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
